# Copyright 2023-2024 The Trinity Desktop Project
# Distributed under the terms of the GNU General Public License v2

EAPI="8"

TRINITY_MODULE_NAME="tdebase"
TRINITY_MODULE_TYPE="core"
inherit trinity-meta-2

DESCRIPTION="Documentation for tdebase-derived packages"
if [[ ${PV} != *9999* ]] ; then
	KEYWORDS="~amd64 ~arm64 ~x86"
fi

RDEPEND="
	~trinity-base/khelpcenter-${PV}
"

src_prepare() {
	sed 's/tde_conditional_add_project_docs( BUILD_DOC )/tde_conditional_add_subdirectory( BUILD_DOC doc )/' \
		-i "${S}/CMakeLists.txt" || die
	trinity-meta-2_src_prepare
}

src_install() {
	trinity-meta-2_src_install
	rm -rf "${D}/usr/trinity/14/bin"
	rm -rf "${D}//usr/trinity/14/share/autostart"
}
